sc::LineOpt(3)

NAME
sc::LineOpt - The LineOpt abstract class is used to perform one dimensional optimizations.

SYNOPSIS

#include <opt.h>

Inherits sc::Optimize.

  Public Methods
LineOpt ()
LineOpt (StateIn &)
LineOpt (const Ref< KeyVal > &)
~LineOpt ()
void save_data_state (StateOut &)
Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.
void apply_tranform (const Ref< NonlinearTransform > &)
void set_search_direction (RefSCVector &)

  Protected Attributes
RefSCVector search_direction_

DETAILED DESCRIPTION

The LineOpt abstract class is used to perform one dimensional optimizations.

MEMBER FUNCTION DOCUMENTATION

  void sc::LineOpt::save_data_state (StateOut &) [virtual]

Save the base classes (with save_data_state) and the members in the same order that the StateIn CTOR initializes them.

This must be implemented by the derived class if the class has data.

Reimplemented from sc::Optimize.

AUTHOR

Generated automatically by Doxygen for MPQC from the source code.